Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.dsig
Class XSSignedInfo

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.dsig.ReferenceList
oracle.security.xmlsec.dsig.XSSignedInfo`

public class XSSignedInfo
extends ReferenceList

XML-DSIG SignedInfo element containing the signature details.

The SignedInfo's CanonicalizationMethod identifies the algorithm to be used for serializing the SignedInfo to octets prior to applying the signature algorithm. Standard canonicalization algorithm URI constants can be found in `XMLURI`, including:

- XML-C14N `XMLURI.alg_c14n`
- XML-C14N With Comments `XMLURI.alg_c14nWithComments`
- XML-C14N `Exclusive`
- Exclusive XML-C14N With Comments `XMLURI.alg_exclusiveC14NWithComments`

The SignedInfo's SignatureMethod identifies the algorithm to be used for computing the digital signature over the SignedInfo's canonicalized octets. Standard signature algorithm URI constants can be found in `XMLURI`, including:

- DSA With SHA-1 `XMLURI.alg_dsaWithSHA1`
- RSA With SHA-1 `XMLURI.alg_rsaWithSHA1`
- RSA With MD5 `XMLURI.alg_rsaWithMD5`
- HMAC With SHA-1 `XMLURI.alg_hmacSHA1`
- HMAC With MD5 `XMLURI.alg_hmacMD5`

See Also:
  `XSSignature.createSignedInfo()`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`XSSignedInfo(org.w3c.dom.Document owner)` Create a new `XSSignedInfo` instance.
`XSSignedInfo(org.w3c.dom.Document owner, java.lang.String id)` Create a new `XSSignedInfo` instance.
`XSSignedInfo(org.w3c.dom.Document owner, java.lang.String c14nMethod, java.lang.String signatureMethod)` Create a new `XSSignedInfo` instance.
`XSSignedInfo(org.w3c.dom.Document owner, java.lang.String c14nMethod, java.lang.String signatureMethod, java.lang.String id)` Create a new `XSSignedInfo` instance.
`XSSignedInfo(org.w3c.dom.Element element)` Creates a new `XSSignedInfo` instance.
`XSSignedInfo(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `XSSignedInfo` instance.

Method Summary
`XSAlgorithmIdentifier` | `getC14NMethod()` Returns the CanonicalizationMethod element for this SignedInfo.
`XSAlgorithmIdentifier` | `getSignatureMethod()` Returns the SignatureMethod element for this SignedInfo.
`void` | `setC14NMethod(java.lang.String c14nMethod)` Sets the CanonicalizationMethod element for this SignedInfo, replacing any existing CanonicalizationMethod.
`void` | `setC14NMethod(XSAlgorithmIdentifier c14nMethod)` Sets the CanonicalizationMethod element for this SignedInfo, replacing any existing CanonicalizationMethod.
`void` | `setSignatureMethod(java.lang.String signatureMethod)` Sets the SignatureMethod element for this SignedInfo, replacing any existing SignatureMethod.
`void` | `setSignatureMethod(XSAlgorithmIdentifier signatureMethod)` Sets the SignatureMethod element for this SignedInfo, replacing any existing SignatureMethod.

Methods inherited from class oracle.security.xmlsec.dsig.ReferenceList
`addReference, computeRefDigests, getId, getReferences, setId, validateRefDigests`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSignedInfo

    public XSSignedInfo(org.w3c.dom.Element element)
                 throws org.w3c.dom.DOMException

  Creates a new `XSSignedInfo` instance. from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG SignedInfo schema.

### XSSignedInfo

    public XSSignedInfo(org.w3c.dom.Element element,
                        java.lang.String systemId)
                 throws org.w3c.dom.DOMException

  Creates a new `XSSignedInfo` instance. from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG SignedInfo schema.
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

### XSSignedInfo

    public XSSignedInfo(org.w3c.dom.Document owner)
                 throws org.w3c.dom.DOMException

  Create a new `XSSignedInfo` instance.
Parameters:
  `owner` - The owner document of the new `XSSignedInfo`

### XSSignedInfo

    public XSSignedInfo(org.w3c.dom.Document owner,
                        java.lang.String id)

  Create a new `XSSignedInfo` instance.
Parameters:
  `owner` - The owner document of the new `XSSignedInfo`
  `id` - An optional string ID name for this SignedInfo structure.

### XSSignedInfo

    public XSSignedInfo(org.w3c.dom.Document owner,
                        java.lang.String c14nMethod,
                        java.lang.String signatureMethod)

  Create a new `XSSignedInfo` instance.
Parameters:
  `owner` - The owner document of the new `XSSignedInfo`
  `c14nMethod` - The URI identifying the canonicalization method to be applied to the SignedInfo structure.
  `signatureMethod` - The URI identifying the signature algorithm to be used to sign the SignedInfo structure.

### XSSignedInfo

    public XSSignedInfo(org.w3c.dom.Document owner,
                        java.lang.String c14nMethod,
                        java.lang.String signatureMethod,
                        java.lang.String id)

  Create a new `XSSignedInfo` instance.
Parameters:
  `owner` - The owner document of the new `XSSignedInfo`
  `c14nMethod` - The URI identifying the canonicalization method to be applied to the SignedInfo structure.
  `signatureMethod` - The URI identifying the signature algorithm to be used to sign the SignedInfo structure.
  `id` - An optional string ID name for this SignedInfo structure.

Method Detail

### setC14NMethod

    public void setC14NMethod(java.lang.String c14nMethod)
                       throws org.w3c.dom.DOMException

  Sets the CanonicalizationMethod element for this SignedInfo, replacing any existing CanonicalizationMethod.
  Parameters:
    `c14nMethod` - The URI identifying this SignedInfo's canonicalization algorithm.
  Throws:
    `org.w3c.dom.DOMException`

### setC14NMethod

    public void setC14NMethod(XSAlgorithmIdentifier c14nMethod)
                       throws org.w3c.dom.DOMException

  Sets the CanonicalizationMethod element for this SignedInfo, replacing any existing CanonicalizationMethod.
  Parameters:
    `c14nMethod` - A `XSAlgorithmIdentifier` identifying this SignedInfo's canonicalization algorithm.
  Throws:
    `org.w3c.dom.DOMException`

### getC14NMethod

    public XSAlgorithmIdentifier getC14NMethod()

  Returns the CanonicalizationMethod element for this SignedInfo.
  Returns:
    A `XSAlgorithmIdentifier` identifying this SignedInfo's canonicalization algorithm.

### setSignatureMethod

    public void setSignatureMethod(java.lang.String signatureMethod)
                            throws org.w3c.dom.DOMException

  Sets the SignatureMethod element for this SignedInfo, replacing any existing SignatureMethod.
  Parameters:
    `signatureMethod` - The URI identifying this SignedInfo's signature algorithm.
  Throws:
    `org.w3c.dom.DOMException`

### setSignatureMethod

    public void setSignatureMethod(XSAlgorithmIdentifier signatureMethod)
                            throws org.w3c.dom.DOMException

  Sets the SignatureMethod element for this SignedInfo, replacing any existing SignatureMethod.
  Parameters:
    `signatureMethod` - A `XSAlgorithmIdentifier` identifying this SignedInfo's signature algorithm.
  Throws:
    `org.w3c.dom.DOMException`

### getSignatureMethod

    public XSAlgorithmIdentifier getSignatureMethod()

  Returns the SignatureMethod element for this SignedInfo.
  Returns:
    A `XSAlgorithmIdentifier` identifying this SignedInfo's signature algorithm.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.